Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.ZIPPacket.HeaderExtensions (grizzly v7.4.2)

Functions for working with the header extension in a Z/IP Packet.

# Summary

## Types

encapsulation_format_info()
extension()

## Functions

from_binary(extensions)

Try to parse a binary string into `HeaderExtensions.t()`

to_binary(extensions)

# Types

Link to this type

# encapsulation_format_info()

View Source

    @type encapsulation_format_info() ::
      :crc16
      | Grizzly.ZWave.Commands.ZIPPacket.HeaderExtensions.EncapsulationFormatInfo.security()

Link to this type

# extension()

View Source

    @type extension() ::
      {:expected_delay, Grizzly.ZWave.Command.delay_seconds()}
      | {:installation_and_maintenance_report, list()}
      | :installation_and_maintenance_get
      | {:encapsulation_format_info, [encapsulation_format_info()]}
      | :multicast_addressing

# Functions

Link to this function

# from_binary(extensions)

View Source

    @spec from_binary(binary()) :: [extension()]

Try to parse a binary string into `HeaderExtensions.t()`

Link to this function

# to_binary(extensions)

View Source

    @spec to_binary([extension()]) :: binary()